//######
//## My_TreeView.h
//## =============
//## 30.05.12: Creation
//## 30.05.12: 
//######

#ifndef MY_TREEVIEW_H
#define MY_TREEVIEW_H


#include  <QtGui/QtGui>

class MySortFilterProxyModel;

class My_TreeView: public QTreeView
{
    Q_OBJECT

public:
    My_TreeView( MySortFilterProxyModel *p_ProxyModel, bool p_b_Source );

    ~My_TreeView();

signals:
     void SIGNAL_RightClicked( QModelIndex p_Index );
     void SIGNAL_SetProgressValue( int p_Value );

public slots:
    void slot_PopupMenu( QModelIndex p_Index );
    
protected:
    void keyPressEvent  ( QKeyEvent   * p_Event );
    void mousePressEvent( QMouseEvent * p_Event );
 
private:
    MySortFilterProxyModel *_ProxyModel;
    bool                    _b_Source;

};

#endif
